> ## Documentation Index
> Fetch the complete documentation index at: https://kaoribot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get weather information

> Returns weather, forecast, AQI, local time, and timezone



## OpenAPI

````yaml openapi.json get /v1/utils/weather
openapi: 3.1.0
info:
  title: KaoriBot API
  description: >-
    KaoriBot API. If you do face any issue, let us know on our [Discord
    server](https://discord.gg/)
  version: v1.4.0
servers:
  - url: https://api-kaori.mikabot.xyz
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Filters
    description: Image filtering operations (Blur, Invert, etc.)
  - name: Overlays
    description: Image overlay operations (Gay, Wanted, etc.)
  - name: Debug
    description: System health and debugging utility endpoints
  - name: Generators
    description: Meme generator operations (3000 years, etc.)
  - name: Texts
    description: Text operations (Questions, etc.)
  - name: Utils
    description: Utility endpoints
paths:
  /v1/utils/weather:
    get:
      tags:
        - Utils
      summary: Get weather information
      description: Returns weather, forecast, AQI, local time, and timezone
      operationId: weather
      parameters:
        - name: location
          in: query
          required: true
          schema:
            description: City or location name (e.g. Bengaluru, Karnataka)
            type: string
        - name: unit
          in: query
          required: false
          schema:
            type: string
            enum:
              - C
              - F
        - name: language
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - data
                properties:
                  success:
                    const: true
                    type: boolean
                  code:
                    const: 200
                    type: number
                  data:
                    type: object
                    required:
                      - location
                      - current
                      - forecast
                      - meta
                    properties:
                      location:
                        type: object
                        required:
                          - name
                          - timezone
                          - localTime
                        properties:
                          name:
                            type: string
                          timezone:
                            type: string
                          timezoneAbbr:
                            type: string
                          localTime:
                            type: string
                          url:
                            type: string
                      current:
                        type: object
                        required:
                          - temperature
                          - condition
                          - icon
                          - humidity
                          - wind
                          - observation
                        properties:
                          temperature:
                            type: number
                          feelsLike:
                            type: number
                          condition:
                            type: string
                          conditionCode:
                            type: number
                          icon:
                            type: string
                          humidity:
                            type: number
                          wind:
                            type: object
                            required:
                              - speed
                            properties:
                              speed:
                                type: string
                              direction:
                                type: string
                              display:
                                type: string
                          pressure:
                            type: string
                          visibility:
                            type: string
                          uv:
                            type: object
                            required:
                              - index
                            properties:
                              index:
                                type: number
                              description:
                                type: string
                          dewPoint:
                            type: number
                          observation:
                            type: object
                            properties:
                              time:
                                type: string
                              date:
                                type: string
                      airQuality:
                        type: object
                        required:
                          - aqi
                        properties:
                          aqi:
                            type: string
                          pm2_5:
                            type: string
                          pm10:
                            type: string
                          no2:
                            type: string
                          o3:
                            type: string
                          co:
                            type: string
                      forecast:
                        type: array
                        items:
                          type: object
                          required:
                            - date
                            - day
                            - low
                            - high
                            - condition
                            - icon
                          properties:
                            date:
                              type: string
                            day:
                              type: string
                            low:
                              type: number
                            high:
                              type: number
                            condition:
                              type: string
                            conditionCode:
                              type: number
                            icon:
                              type: string
                            precipitationChance:
                              type: number
                      meta:
                        type: object
                        required:
                          - provider
                          - unit
                          - language
                          - fetchedAt
                        properties:
                          provider:
                            const: MSN Weather
                            type: string
                          unit:
                            type: string
                            enum:
                              - C
                              - F
                          language:
                            type: string
                          fetchedAt:
                            type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
        '422':
          description: Response for status 422
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                  - data
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
                      required:
                        - path
                        - message
                      properties:
                        path:
                          type: string
                        message:
                          type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - success
                  - code
                  - message
                properties:
                  success:
                    type: boolean
                  code:
                    type: number
                  message:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Authorization: Bearer sk_kaori_*'

````